
// SampleChartDlg.h : header file
//

#pragma once
#include "tchart.h"
#include <string>
#include <set>

// CSampleChartDlg dialog
class CSampleChartDlg : public CDialogEx
{
// Construction
public:
	CSampleChartDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	enum { IDD = IDD_SampleChart_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support


// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnBnClickedOk();
	DECLARE_MESSAGE_MAP()

private:
	void PlotPolar();
	void PlotLine();
	void ReadData(std::string fileName, std::set<double>& setX, std::set<double>& vecY);
	void CustomizeLabelDisplay(CTChart *pchart_, const int interval, const std::set<double> &set_values);
	void CheckDecimalPoint(const double dVal, int &count);

	CTChart mChart_;
};
